Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.xocp.messaging
Class XOCPMessageToken

    java.lang.Object
      |
      +--com.bea.b2b.protocol.messaging.MessageToken
            |
            +--com.bea.b2b.protocol.xocp.messaging.XOCPMessageToken

Deprecated. The XOCPMessageToken class represents a message token that is returned to the application upon sending an XOCP business message. The application can query this message token to check the delivery status for the associated business message.

For deferred synchronous delivery, the application can wait on the message token. For synchronous delivery, the application cannot wait on the message token.

public class XOCPMessageToken
extends MessageToken

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.b2b.protocol.messaging.MessageToken
`log, mts`

Method Summary
`void` | `waitForACK()` Deprecated. Waits until all of the acknowledgements for the business message associated with this message token have been received.
`void` | `waitForACK(long timeout)` Deprecated. Waits until all of the acknowledgements for the business message associated with this message token have been received, or until the specified timeout is exceeded.

Methods inherited from class com.bea.b2b.protocol.messaging.MessageToken
`getAllDeliveryStatus, getArrivalTime, getConversationId, getDeliveryStatus, getDestinations, getException, getMessageId, getSentTime, isReleased, lock, timeTaken, unlock`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### waitForACK

    public void waitForACK()

  Deprecated.
  Waits until all of the acknowledgements for the business message associated with this message token have been received. This method is not recommended for production systems as there is always possibilities that messages or acknowledgements can get lost due to link failures. In such cases, applications should try resending messages and take care of duplicate messages. We recommend using waitForAck(long timeout) method instead.

  See Also:
    `waitForAck(long timeout)`

### waitForACK

    public void waitForACK(long timeout)

  Deprecated.
  Waits until all of the acknowledgements for the business message associated with this message token have been received, or until the specified timeout is exceeded.

  Parameters:
    `timeout` - - Maximum time to wait, in milliseconds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)